Bug 954658 - (CVE-2013-1980) CVE-2013-1980 xmp: Heap-based buffer overflow by processing certain MASI files
CVE-2013-1980 xmp: Heap-based buffer overflow by processing certain MASI files
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130420,repor...
: Security
Depends On: 954670
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-22 08:31 EDT by Jan Lieskovsky
Modified: 2015-07-31 03:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 20:01:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-04-22 08:31:53 EDT
A heap-based buffer overflow flaw was found in the way xmp, the extended module player, a modplayer for Unix-like systems that plays over 90 mainstream and obscure module formats, loaded certain Music And Sound Interface (MASI) files. A remote attacker could provide a specially-crafted MASI media file that, when opened, would lead to xmp binary crash or, potentially, arbitrary code execution with the privileges of the user running the xmp executable.

References:
[1] http://sourceforge.net/projects/xmp/files/libxmp/4.1.0/Changelog/view
[2] https://secunia.com/advisories/53114/
[3] https://bugs.gentoo.org/show_bug.cgi?id=466782
[4] http://www.openwall.com/lists/oss-security/2013/04/22/5
[5] https://bugzilla.novell.com/show_bug.cgi?id=816454

Relevant upstream patch:
[6] http://sourceforge.net/p/xmp/libxmp/ci/a015fdfb478a60172fd225632a11bbd02870fc40
Comment 1 Jan Lieskovsky 2013-04-22 08:33:41 EDT
This issue affects the versions of the xmp package, as shipped with Fedora release of 17 and 18. Please schedule an update.
Comment 2 Jan Lieskovsky 2013-04-22 08:34:32 EDT
Created xmp tracking bugs for this issue

Affects: fedora-all [bug 954670]
Comment 3 Jan Lieskovsky 2013-04-23 03:11:00 EDT
The CVE identifier of CVE-2013-1980 has been assigned:
  http://www.openwall.com/lists/oss-security/2013/04/22/12

to this issue.
Comment 4 Fedora Update System 2013-05-29 23:35:05 EDT
xmp-3.5.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-05-31 00:28:44 EDT
xmp-3.5.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-05-31 00:29:28 EDT
xmp-3.4.0-11.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Dominik 'Rathann' Mierzejewski 2013-12-22 20:01:28 EST
Looks like this should've been closed a long time ago.

Note You need to log in before you can comment on or make changes to this bug.